// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
ng-container(*ngIf="currentStep$ | async as currentStep")
  #soap-panel-head
    h1(*ngIf="!currentStep.panels[0].originalValue") Select {{ isSource ? 'trigger' : 'action' }}
    ng-container(*ngIf="!editStepName else nameEditor")
      h1(*ngIf="currentStep.panels[0].originalValue") {{ currentStep.name }}
        button(nz-button, nzType="link", nzSize="small", (click)="startEdit()")
          i(nz-icon, nzType="edit", nzTheme="outline")
    ng-template(#nameEditor)
      input(nz-input, [(ngModel)]="currentStepNameInput")
      button(nz-button, nzType="primary", (click)="validate()") OK

    button#soap-remove-step(*ngIf="(builderFacade.currentIndex$ | async) !== 0", nz-button, nzType="primary", nzDanger, (click)="removeStep()")
      i(nz-icon, nzType="delete", nzTheme="outline")

  nz-tabset([nzSelectedIndex]="currentPanelIndex$ | async", (nzSelectedIndexChange)="updatePanelIndex($event)")
    nz-tab(nzTitle="Select")
      nz-input-group([nzSuffix]="suffixIconSearch")
        input(type="text", nz-input, placeholder="Search", [(ngModel)]="searchTerm")
      ng-template(#suffixIconSearch)
        i(nz-icon, nzType="search")

      ul.soap-module-list(*ngIf="isSource")
        li(*ngFor="let source of sourceList$ | async | filterName : searchTerm")
          ryax-action-mini-card(
            [action]="source", [active]="currentStep.panels[0].originalValue?.id === source.id",
            (click)="selectModule(source, !currentStep.panels[0].originalValue)"
          )
      ng-container(*ngIf="(sourceList$ | async)?.length == 0 && (processList$ | async)?.length == 0")
        nz-empty(nzNotFoundImage="simple", [nzNotFoundContent]="'No Action yet ?'",
          [nzNotFoundFooter]="goToLibrary")
      ng-template(#goToLibrary)
        a(nz-button, nzType="primary", [routerLink]="'/library'")
          | Import one from the Library

      ul.soap-module-list(*ngIf="!isSource")
        li(*ngFor="let process of processList$ | async | filterName : searchTerm")
          ryax-action-mini-card(
            [action]="process", [active]="currentStep.panels[0].originalValue?.id === process.id",
            (click)="selectModule(process, !currentStep.panels[0].originalValue)"
          )

    nz-tab(nzTitle="Description", [nzDisabled]="currentStep.panels[0].status !== 'finish'")
      ryax-action-description(*ngIf="currentStep.panels[0].originalValue", [action]="currentStep.panels[0].originalValue")

    nz-tab(nzTitle="Configure", [nzDisabled]="currentStep.panels[0].status !== 'finish'")
      ryax-config-form(
        *ngIf="currentStep.panels[0].originalValue",
        [config]="currentStep.panels[0].originalValue.inputs",
        [inputSection]="0"
      )
      ryax-config-form(
        *ngIf="currentStep.panels[0].originalValue",
        [config]="currentStep.panels[0].originalValue.addonsInputs",
        [inputSection]="1"
      )
      ryax-config-dynamic-outputs(
        *ngIf="currentStep.panels[0].originalValue && currentStep.panels[0].originalValue.hasDynamic",
        [config]="getDynamicOutputs(currentStep.panels[0].originalValue)",
        [actionName]="currentStep.panels[0].originalValue.technicalName"
      )
    nz-tab(nzTitle="Deploy", [nzDisabled]="currentStep.panels[0].status !== 'finish'", *ngIf="(currentStep.panels[0].originalValue)")
      ryax-action-deployment(
        [action]="currentStep.panels[0].originalValue",
        [sites]="sites$ | async"
      )
